#ifndef STPROB_H
#define STPROB_H

double r2mag(double r);
double mag2r(double g);
double reff(double kr);

double Jacob( const double* a, const double* b, double sint, double xp, int verb );

double stPbxFunction( const double* coordpar, const double* bpars);
double stPsgFunction( const double* coordpar, const double* spars);
double stPbx( const double* coordpar, const double* bpars);
double stPsg( const double* coordpar, const double* spars);

double backgroundConvolve(double g);
double streamConvolve(double g);

#endif
