/*
 *  volume.h
 *  Astronomy
 *
 *  Created by Travis Desell on 2/21/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef ASTRONOMY_VOLUME_H
#define ASTRONOMY_VOLUME_H

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int get_wedge();

double get_r_min();
double get_r_max();
double get_r_step();
double get_r_steps();

double get_mu_min();
double get_mu_max();
double get_mu_step();
double get_mu_steps();

double get_nu_min();
double get_nu_max();
double get_nu_step();
double get_nu_steps();

void read_integral_data(int rank, int slices);

#endif

