package gmle.salsa.astronomy;

public class Limits {
	static int[][] limits = new int[][]{
					{ 9, 122, 238 }, { 10, 117, 249 }, { 11, 124, 242 }, { 12, 120, 240 }, { 13, 120, 244 },
					{ 14, 123, 217 }, { 15, 120, 252 }, { 16, 119, 194 }, { 27, 120, 164 }, { 28, 119, 164 },
					{ 29, 122, 187 }, { 30, 121, 222 }, { 31, 122, 204 }, { 32, 125, 248 }, { 33, 124, 238 },
					{ 34, 125, 246 }, { 35, 128, 247 }, { 36, 128, 246 }, { 37, 132, 247 }, { 42, 208, 220 },
					{ 43, 206, 235 }, { 44, 194, 228 }, { 76, 308, 392 }, { 82, 307, 436 }, { 83, 307, 418 },
					{ 86, 307, 426 }, { -1, 0, 0 } };

	public static long getMuMin(int wedge) {
		for (int i = 0; i < limits.length; i++) {
			if (limits[i][0] == wedge) return limits[i][1];
		}
		return 0;
	}               
	public static long getMuMax(int wedge) {
		for (int i = 0; i < limits.length; i++) {
			if (limits[i][0] == wedge) return limits[i][2];
		}
		return 0;
	}
}
