#include <cstdio>
#include <stdlib.h>
#include <string.h>

#include "boinc_wu_generator.h"
#include "boinc_genetic_search.h"
#include "boinc_genetic_population.h"

void get_search_type(char* wu_name, char* search_type) {
        unsigned int i;
        for (i = 0; i < strlen(wu_name); i++) if (wu_name[i] == '_') break;
        if (i >= strlen(wu_name)) sprintf(search_type, "unknown");
        strncpy(search_type, wu_name, sizeof(char)*i);
        search_type[i] = '\0';
}       
                
void get_search_id(char* wu_name, char* search_id) {
        unsigned int i;
        for (i = 0; i < strlen(wu_name); i++) if (wu_name[i] == '_') break;
        i++;
        for (; i < strlen(wu_name); i++) if (wu_name[i] == '_') break;
        if (i >= strlen(wu_name)) sprintf(search_id, "unknown");
        strncpy(search_id, wu_name, sizeof(char)*i);
        search_id[i] = '\0';
}


int main(int number_arguments, char** arguments) {
	int i;
	char *search_id = "gs_test";
	char *search_test = "gs_10324_29394";
	for (i = 0; i < 20; i++) {
		char search_type[256];
		char search_id[256];
		get_search_type(search_test, search_type);
		get_search_id(search_test, search_id);

		printf("search_type: %s, search_id: %s\n", search_type, search_id);
	}

	char *population_file_name = "/export/www/boinc/milkyway/results/genetic_search/gs_test/population";
	FILE* population_file = fopen(population_file_name, "r");  

	POPULATION *target = (POPULATION*)malloc(sizeof(POPULATION));
	read_population(population_file, target);
	double* parameters = generate_random_parameters(*target);

	add_work_unit(search_id, parameters);
}
